<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Simple PHP Captcha | Tutorial | { visibility: inherit; }</title>
<link rel="shortcut icon" href="/favicon.ico" type="image/x-icon">
<link href="/styles.css" rel="stylesheet" type="text/css" media="screen">
<link href="/styles-alt.css" rel="alternate stylesheet" type="text/css" media="screen" title="styles-alt">
</head>

<body id="code">
<div id="wrapper">
<div id="header"><?php include("../includes/heading.php"); ?></div>
<div id="nav">
<?php include("../includes/nav.php"); ?>
</div>
<div id="content">
<em id="date">1/05/2013</em>
<h1>Simple PHP Captcha</h1>
<p>
	<a href="simple-php-captcha-demo.php">Here is a working Demo <b>&raquo;</b></a><br>
	<a href="simple-php-captcha.zip">Download source ZIP file <b>&raquo;</b></a>
</p>
<p>I've made this dead simple. This is the easiest (yet secure), most customizable captcha you will likely find. It simple spits out random math questions using numbers 1 through 5 (1+3, 4+2, 5+3, etc). <strong>Note:</strong> the PHP code below goes in a seperate page thats called by the form (FYI action=&quot;simple-php-captcha-formmail.php&quot;). This is also where the rest of your <a href="how-to-html-form-with-php-js-captcha-validation.php">PHP validation</a> would go. I have the error message and the success message redirecting to seperate pages. YOU can do it however you wish by editing the code below to your liking. If you want JS validation to boot, then <a href="how-to-html-form-with-php-js-captcha-validation.php">grab it from here</a>.</p>
<h2>The PHP</h2>
<pre>
&lt;?php
   <span>// Clean Captcha: random numbers 1 through 5 (1+3, 4+2, 5+3, etc)</span>
session_start();
if (!isset($_SESSION['num1']) || !isset($_SESSION['num2'])) {
   <span>// No known session cannot validate captcha</span>
   header( "Location: simple-php-captcha-error.php" );
   exit;
}
$sum = (int)$_SESSION['num1'] + (int)$_SESSION['num2'];
if (isset($_POST['captcha']) && (int)$_POST['captcha'] !== $sum) {
   <span>// Captcha given but incorrect</span>
   header( "Location: simple-php-captcha-error.php" );
   exit;
} else {
   <span>// Captcha correct show new one next time</span>
   unset($_SESSION['num1'], $_SESSION['num2']);
}
   <span>// Test if email sent</span>
   mail('your@email.com', 'test', 'email');
   header( "Location: simple-php-captcha-confirmation.php" );
   exit ;
?&gt;
</pre>
<h2>The HTML Form &amp; PHP</h2>
<p><strong>Note:</strong> the PHP above the Doctype and the PHP in the label. Both are needed for the captcha to function.</p>
<pre>
<strong>&lt;?php session_start();if(!isset($_SESSION['num1'])&&!isset($_SESSION['num2'])){$_SESSION['num1']=rand(1,5);$_SESSION['num2']=rand(1,5);} ?&gt;</strong>
&lt;!DOCTYPE html&gt;&lt;html&gt;&lt;head&gt;&lt;meta charset=&quot;UTF-8&quot;&gt;
&lt;title&gt;Simple PHP Captcha&lt;/title&gt;
&lt;/head&gt;
&lt;body&gt;

&lt;form method=&quot;post&quot; action=&quot;simple-php-captcha-formmail.php&quot;&gt;
   &lt;label for=&quot;captcha&quot;&gt;<strong>&lt;?php echo $_SESSION['num1']; ?&gt; + &lt;?php echo $_SESSION['num2']; ?&gt;</strong>?&lt;/label&gt;
   &lt;input type=&quot;text&quot; id=&quot;captcha&quot; name=&quot;captcha&quot; placeholder=&quot;Captcha&quot;&gt;
   &lt;br&gt;
   &lt;input type=&quot;submit&quot; name=&quot;submit&quot; value=&quot;Submit&quot; id=&quot;submit&quot;&gt;
&lt;/form&gt;

&lt;/body&gt;&lt;/html&gt;
</pre>

<?php include("http://www.visibilityinherit.com/includes/paypal.php"); ?>
<?php include("http://www.visibilityinherit.com/includes/disqus.php"); ?>
<?php include("http://www.visibilityinherit.com/includes/search.php"); ?>
</div>
<div id="clearfooter"></div>
<?php include("http://www.visibilityinherit.com/includes/ads.php"); ?>
</div>
<div id="footer">
<div id="footerborder"></div>
<?php include("../includes/footer.php"); ?>
</div>
<script src="/javascript/styleswitch.js" type="text/javascript"></script>
</body>
</html>